<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	if( !$this->user->is_logged ) {
		$this->redirect('home');
	}
	
	$db2->query('SELECT 1 FROM users WHERE iduser="'.$this->user->id.'" AND is_network_admin=1 LIMIT 1');
	if( 0 == $db2->num_rows() ) {
		$this->redirect('dashboard');
	}
	
	
	/*************************************************************************/
	// needed before proceeding
	require_once('_all-required-language.php');
	
	$this->load_langfile('global/global.php');	
	$this->load_langfile('inside/admin.php');

	/*************************************************************************/
	
	require_once('_all-required-dashboard-admin.php');

	/*************************************************************************/
    
	$D->query = '';
	if ($this->param('q')) $D->query = trim($this->param('q'));
	
    $D->qsql = "";
    $D->urlQ = '';
	if (!empty($D->query)) {
        $D->qsql = " AND (post like '%".$D->query."%') ";
        $D->urlQ = '/q:'.$D->query;
    }

	/**** Pagination ****/
    
	$D->ITEMS_PER_PAGE = 10;
	$D->pageCurrent = 1;
	
	if ($this->param('p')) $D->pageCurrent = $this->param('p');

	$D->totalitems = $this->db2->fetch_field("SELECT count(DISTINCT idpost) FROM censored, posts WHERE typeitem=1 AND iditem=idpost ".$D->qsql);
	
	$D->start = ($D->pageCurrent-1) * $D->ITEMS_PER_PAGE;
	
	$D->totalPag = ceil($D->totalitems/$D->ITEMS_PER_PAGE);
    if ($D->totalPag <= 0) $D->totalPag = 1;

	if ($D->totalPag<$D->pageCurrent) $this->redirect($C->SITE_URL.'admin/censored');
	
	$D->pagVisibles = 2;
	
	if ($D->totalPag > (2 * $D->pagVisibles) + 1) {
	
		$D->firstPage = $D->pageCurrent - $D->pagVisibles;
		if ($D->firstPage < 1) $D->firstPage = 1;
		
		$D->lastPage = $D->firstPage + (2 * $D->pagVisibles);
		if ($D->lastPage > $D->totalPag) $D->lastPage = $D->totalPag;
		
		if ($D->lastPage - $D->firstPage < (2 * $D->pagVisibles) + 1) $D->firstPage = $D->lastPage - (2 * $D->pagVisibles);
		
	} else {
		
		$D->firstPage = 1;
		$D->lastPage = $D->totalPag;
	}
	
	/********************/

	$D->htmlResult = '';

    $idscensored = $this->db2->fetch_all("SELECT DISTINCT idpost FROM censored, posts WHERE typeitem=1 AND iditem=idpost ".$D->qsql." ORDER BY censored.whendate DESC LIMIT ".$D->start.",".$D->ITEMS_PER_PAGE);
    
    if ($idscensored) {
    
        $arrayIds = array();
    
        foreach($idscensored as $oneid) $arrayIds[] = $oneid->idpost;
        
        $r = $this->db2->query("SELECT * FROM posts WHERE idpost in(".implode($arrayIds,',').") ORDER BY whendate DESC");
	
        while ($obj = $this->db2->fetch_object($r)) {
            
            $D->oneArticle = $obj;
    
            $D->oneArticle->post = stripslashes($obj->post);
            
            $D->seo_url_cat = getSeoURLCat($D->oneArticle->idcategory, $D->allCategories);
    
            $D->htmlResult .= $this->load_template('__admin-one-censored.php', FALSE);
            
        }
        unset($obj, $r);

    }
	
	/*************************************************************************/

	$D->optionactive_admin = 5;
	$this->load_template('admin_censored.php');

?>