<?php 
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('inside/admin.php');

	// We are here only if you're logged in
	if (!$this->user->is_logged || !$this->user->info->is_network_admin) {
		echo('0: '.$this->lang('admin_no_session'));
		die();
	}

	$errored = 0;
	$txterror = '';

	$action=0;
	
	if (isset($_POST["todo"]) && $_POST["todo"] != '') $action = $this->db1->e($_POST["todo"]);
	if (!is_numeric($action)) {
		$errored = 1;
		$txterror .= 'Error. ';
		echo('0: '.$caderror);
		die();
	}

	// 1: delete item censored   2: ignored censored
	if ($action == 1 || $action == 2) {
		$iditem = 0;
		if (isset($_POST["idi"]) && !empty($_POST["idi"])) $iditem = $this->db1->e(trim($_POST["idi"]));
		if ($iditem == 0) { $errored = 1; $txterror .= 'Error... '; }		
	}

	if ($errored == 1) {
		echo('0: '.$txterror);
	} else {

        // 1: delete item censored
		if ($action == 1) {
            
            $the_item = $this->db1->fetch("SELECT iduser, valueattach FROM posts WHERE idpost=".$iditem." LIMIT 1");
            
            if (!$the_item) {
                $txtreturn = $this->lang('admin_censored_error_action');
                echo("0: ".$txtreturn);
                return;                

            } else { 
                $iduser = $the_item->iduser;
                $thumbnail = $the_item->valueattach;

                $this->db2->query('DELETE FROM posts WHERE idpost='.$iditem.' LIMIT 1');
                $this->db2->query('UPDATE users SET num_articles=num_articles-1 WHERE iduser='.$iduser.' LIMIT 1');
                
                //Delete comments
                $allcomments = $this->db2->fetch_all('SELECT iduser FROM comments WHERE typeitem=1 AND idpost='.$iditem);                
                foreach ($allcomments as $onecomments) {
                    $this->db2->query('UPDATE users SET num_comments_articles=num_comments_articles-1 WHERE iduser='.$onecomments->iduser.' LIMIT 1');
                }
                $this->db2->query('DELETE FROM comments WHERE typeitem=1 AND idpost='.$iditem);
                
                // Delete likes
                $alllikes = $this->db2->fetch_all('SELECT iduser FROM likes WHERE typeitem=1 AND idpost='.$iditem);
                foreach($alllikes as $onelike) {
                    $this->db2->query('UPDATE users SET num_likes_articles=num_likes_articles-1 WHERE iduser='.$onelike->iduser.' LIMIT 1');
                }
                $this->db2->query('DELETE FROM likes WHERE typeitem=1 AND idpost='.$iditem);
                
                //Delete activities
                $this->db2->query('DELETE FROM activities WHERE iditem='.$iditem.' AND typeitem=2');
                
                //Delete notifications
                $this->db2->query('DELETE FROM notifications WHERE notif_object_id='.$iditem.' AND notif_object_type=2');
    
                //Delete censored
                $this->db2->query('DELETE FROM censored WHERE iditem='.$iditem.' AND typeitem=1');
                
                //Delete thumbnail
                $raiz = '../';
                $thefolder = $C->FOLDER_ARTICLES;
                if (file_exists($raiz.$thefolder.$thumbnail)) unlink($raiz.$thefolder.$thumbnail);
                if (file_exists($raiz.$thefolder.'min1/'.$thumbnail)) unlink($raiz.$thefolder.'min1/'.$thumbnail);
                if (file_exists($raiz.$thefolder.'min2/'.$thumbnail)) unlink($raiz.$thefolder.'min2/'.$thumbnail);
    
                $txtreturn = 'Ok';
                echo('1: '.$txtreturn);
                return;
            }
		}

		if ($action == 2) {

            $this->db2->query('DELETE FROM censored WHERE typeitem=1 AND iditem='.$iditem);
            $numreports = $this->db2->affected_rows();
            $this->db2->query("UPDATE posts SET numcensors=numcensors-".$numreports." WHERE typepost='e_article' AND idpost=".$iditem);

			$txtreturn = 'Ok';
			echo('1: '.$txtreturn);
			return;
		}

	}
?>