<?php 
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('global/global.php');
	$this->load_langfile('inside/dashboard.php');

	// We are here only if you're logged in
	if (!$this->user->is_logged) {
		echo('0: '.$this->lang('dashboard_no_session'));
		die();
	}

	$errored = 0;
	$txterror = '';
	
	$action=0;
	
	if (isset($_POST["todo"]) && $_POST["todo"] != '') $action = $this->db1->e($_POST["todo"]);
	if (!is_numeric($action)) {
		$errored = 1;
		$txterror .= 'Error. ';
		echo('0: '.$caderror);
		die();
	}

	if ($action == 1)	{

		$title = $body = $namefileloaded = $thetags = '';
		$idcategory = $changewasmade = 0;
		
		if (isset($_POST["t"]) && !empty($_POST["t"])) $title = $this->db1->e(htmlspecialchars($_POST["t"]));
		if (isset($_POST["b"]) && !empty($_POST["b"])) $body = $this->db1->e(htmlspecialchars($_POST["b"]));
		if (isset($_POST["ic"]) && !empty($_POST["ic"])) $idcategory = $this->db1->e($_POST["ic"]);
		if (isset($_POST["tt"]) && !empty($_POST["tt"])) $thetags = $this->db1->e(trim($_POST["tt"]));
        
		if (isset($_POST["cwm"])) $changewasmade = $this->db1->e(trim($_POST["cwm"]));
        if ($changewasmade == 1) {
            if (isset($_POST["nfl"]) && !empty($_POST["nfl"])) $namefileloaded = $this->db1->e(trim($_POST["nfl"]));
        }
		
		if (empty($title)) { $errored = 1; $txterror .= $this->lang('dashboard_addarticle_error_title').'... '; }
		if (strlen($title)>$C->NUM_CHARS_TITLE_ARTICLE) { $errored = 1; $txterror .= $this->lang('dashboard_addarticle_error_num_chars_title').'... '; }
		if (empty($body)) { $errored = 1; $txterror .= 'Error... '; }
        if (empty($thetags)) { $errored = 1; $txterror .= 'Error... '; }
		if (!is_numeric($idcategory) || $idcategory == 0) { $errored = 1; $txterror .= 'Error... '; }
		//if ($changewasmade == 0) { $errored = 1; $txterror .= 'Error... '; }
        if ($changewasmade == 1) {
		    if (empty($namefileloaded)) { $errored = 1; $txterror .= 'Error... '; }
        }

	}

	if ($action == 2)	{

		$codearticle = $title = $body = $namefileloaded = $thetags = '';
		$idcategory = $changewasmade = 0;
		
		if (isset($_POST["cda"]) && !empty($_POST["cda"])) $codearticle = $this->db1->e($_POST["cda"]);
		if (isset($_POST["t"]) && !empty($_POST["t"])) $title = $this->db1->e(htmlspecialchars($_POST["t"]));
		if (isset($_POST["b"]) && !empty($_POST["b"])) $body = $this->db1->e(htmlspecialchars($_POST["b"]));
		if (isset($_POST["ic"]) && !empty($_POST["ic"])) $idcategory = $this->db1->e($_POST["ic"]);
		if (isset($_POST["nfl"]) && !empty($_POST["nfl"])) $namefileloaded = $this->db1->e(trim($_POST["nfl"]));
		if (isset($_POST["tt"]) && !empty($_POST["tt"])) $thetags = $this->db1->e(trim($_POST["tt"]));
		if (isset($_POST["cwm"])) $changewasmade = $this->db1->e(trim($_POST["cwm"]));
		
		if (empty($codearticle)) { $errored = 1; $txterror .= 'Error... '; }
		if (empty($title)) { $errored = 1; $txterror .= $this->lang('dashboard_addarticle_error_title').'... '; }
		if (strlen($title)>$C->NUM_CHARS_TITLE_ARTICLE) { $errored = 1; $txterror .= $this->lang('dashboard_addarticle_error_num_chars_title').'... '; }
		if (empty($body)) { $errored = 1; $txterror .= 'Error... '; }
        if (empty($thetags)) { $errored = 1; $txterror .= 'Error... '; }
		if (!is_numeric($idcategory) || $idcategory == 0) { $errored = 1; $txterror .= 'Error... '; }

	}

	if ($action == 3) {
		$code_article = '';
		$points = 0;
		if (isset($_POST["p"]) && !empty($_POST["p"])) $points = $this->db1->e($_POST["p"]);
		if (isset($_POST["c"]) && !empty($_POST["c"])) $code_article = $this->db1->e($_POST["c"]);
		if ($points < 1 && $points > 5) { $errored = 1; $txterror .= 'Error... '; }
		if (strlen($code_article) != 11) { $errored = 1; $txterror .= 'Error... '; }
	}

	if ($action == 4) {
		$thecomment = $code_article = '';
		if (isset($_POST["ca"]) && !empty($_POST["ca"])) $code_article = $this->db1->e($_POST["ca"]);
		if (isset($_POST["tc"]) && !empty($_POST["tc"])) $thecomment = $this->db1->e(htmlspecialchars($_POST["tc"]));
		if (empty($thecomment)) { $errored = 1; $txterror .= 'Error... '; }
		if (strlen($code_article) != 11) { $errored = 1; $txterror .= 'Error... '; }
	}
	
	if ($action == 5) {
		$idcomment = $ida = $idowner = 0;
		
		if (isset($_POST["ida"]) && $_POST["ida"]!='') $ida = $this->db1->e($_POST["ida"]);
		if (isset($_POST["ic"]) && !empty($_POST["ic"])) $idcomment = $this->db1->e($_POST["ic"]);
		if (isset($_POST["io"]) && !empty($_POST["io"])) $idowner = $this->db1->e($_POST["io"]);
		if ($idcomment == 0) { $errored = 1; $txterror .= 'Error... '; }
		if ($idowner == 0) { $errored = 1; $txterror .= 'Error. '; }
		if ($ida == 0) { $errored = 1; $txterror .= 'Error. '; }
	}
	
	if ($action == 6 || $action == 7 || $action == 8) { 
		$code_article = '';
		if (isset($_POST["ca"]) && !empty($_POST["ca"])) $code_article = $this->db1->e($_POST["ca"]);
		if (strlen($code_article) != 11) { $errored = 1; $txterror .= 'Error... '; }
	}

	if ($action == 9) { 
		$thereason = $code_article = '';
		if (isset($_POST["ca"]) && !empty($_POST["ca"])) $code_article = $this->db1->e($_POST["ca"]);
		if (isset($_POST["tr"]) && !empty($_POST["tr"])) $thereason = $this->db1->e(htmlspecialchars($_POST["tr"]));
		if (strlen($code_article) != 11) { $errored = 1; $txterror .= 'Error... '; }
		if (empty($thereason)) { $errored = 1; $txterror .= 'Error... '; }
	}
	
	if ($errored == 1) {
		echo('0: '.$txterror);
	} else {
		
		// insert article
		if ($action == 1) {
            
            $typepost = 'e_article';
            $codep = uniqueCode(11, 1, 'posts', 'code');
            $url_seo = sanitizeString($title);
            
            //process tags
            $thetags = $network->processTag($thetags);
            
            $url_seo = getSeoURL('posts', 'seo_url', 'idpost', $url_seo, 0);
            
            $namethumbnail = 'default.png';
            
            if ($changewasmade == 1) {
            
                $path_info = pathinfo($namefileloaded);
                $ext = strtolower($path_info['extension']);
                $namethumbnail = getCode(5,0).getCode(5,0).getCode(5,0).'.'.$ext;
    
                $rooot = '../';
                $foldertemp = $C->FOLDER_TMP;			
                $folderthumbnails = $C->FOLDER_ARTICLES;
                //move thumbnail of item
                if (file_exists($rooot.$foldertemp.$namefileloaded)) {
                    $thumbnail = new SmartImage($rooot.$foldertemp.$namefileloaded);
    
                    $thumbnail->myresize($C->widthOriginalArticle1, 'width');
                    $thumbnail->saveImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->close();
                    
                    $thumbnail = new SmartImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->mycrop($C->widthThumbnailArticle1, $C->heightThumbnailArticle1);
                    $thumbnail->saveImage($rooot.$folderthumbnails.'min1/'.$namethumbnail);				
                    $thumbnail->close();
    
                    $thumbnail = new SmartImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->mycrop($C->widthThumbnailArticle2, $C->heightThumbnailArticle2);
                    $thumbnail->saveImage($rooot.$folderthumbnails.'min2/'.$namethumbnail);				
                    $thumbnail->close();
                    
                    unlink($rooot.$foldertemp.$namefileloaded);
                }
            }
            
            $r = $this->db1->query("INSERT INTO posts SET code='".$codep."', iduser=".$this->user->id.", post='".$title."', valueattach='".$namethumbnail."', typepost='".$typepost."', thebody='".$body."', idcategory='".$idcategory."', seo_url='".$url_seo."', whendate='".time()."', tags='".$thetags."'");
            $idpost = $this->db1->insert_id();
            $this->db1->query('INSERT INTO activities SET iduser='.$this->user->id.', action=7, iditem='.$idpost.', typeitem=2, whendate="'.time().'"');
            $this->db1->query("UPDATE users SET num_articles=num_articles+1 WHERE iduser=".$this->user->id." LIMIT 1");
            
			$txtreturn = $codep;
			echo('1: '.$txtreturn);
			return;
		}

		if ($action == 2) {

            $url_seo = sanitizeString($title);

            //process tags
            $thetags = $network->processTag($thetags);

            $url_seo = getSeoURL('posts', 'seo_url', 'idpost', $url_seo, 0);
            
            if ($changewasmade) {
                $path_info = pathinfo($namefileloaded);
                $ext = strtolower($path_info['extension']);
                $namethumbnail = getCode(5,0).getCode(5,0).getCode(5,0).'.'.$ext;            
    
                $rooot = '../';
                $foldertemp = $C->FOLDER_TMP;			
                $folderthumbnails = $C->FOLDER_ARTICLES;
                
                // delete older thumbnail
                $older_thumbnail = $this->db1->fetch_field("SELECT valueattach FROM posts WHERE code='".$codearticle."' LIMIT 1");
                if ($older_thumbnail && $older_thumbnail != 'default.png') {
                    unlink ($rooot.$folderthumbnails.$older_thumbnail);
                    unlink ($rooot.$folderthumbnails.'min1/'.$older_thumbnail);
                    unlink ($rooot.$folderthumbnails.'min2/'.$older_thumbnail);
                }
                
                //move thumbnail of item
                if (file_exists($rooot.$foldertemp.$namefileloaded)) {
                    $thumbnail = new SmartImage($rooot.$foldertemp.$namefileloaded);
    
                    $thumbnail->myresize($C->widthOriginalArticle1, 'width');
                    $thumbnail->saveImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->close();
                    
                    $thumbnail = new SmartImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->mycrop($C->widthThumbnailArticle1, $C->heightThumbnailArticle1);
                    $thumbnail->saveImage($rooot.$folderthumbnails.'min1/'.$namethumbnail);				
                    $thumbnail->close();
    
                    $thumbnail = new SmartImage($rooot.$folderthumbnails.$namethumbnail);
                    $thumbnail->mycrop($C->widthThumbnailArticle2, $C->heightThumbnailArticle2);
                    $thumbnail->saveImage($rooot.$folderthumbnails.'min2/'.$namethumbnail);				
                    $thumbnail->close();
                    
                    unlink($rooot.$foldertemp.$namefileloaded);
                }            
            }
            
            if ($changewasmade) {
                $r = $this->db1->query("UPDATE posts SET post='".$title."', valueattach='".$namethumbnail."', thebody='".$body."', idcategory='".$idcategory."', seo_url='".$url_seo."', tags='".$thetags."' WHERE iduser=".$this->user->id." AND code='".$codearticle."' LIMIT 1");
            } else {
                $r = $this->db1->query("UPDATE posts SET post='".$title."', thebody='".$body."', idcategory='".$idcategory."', seo_url='".$url_seo."', tags='".$thetags."' WHERE iduser=".$this->user->id." AND code='".$codearticle."' LIMIT 1");
            }
            
			$txtreturn = 'Ok';
			echo('1: '.$txtreturn);
			return;
		}

		if ($action == 3) {
            
            if ($this->user->iVotedForArticle($code_article)) {
				$txtreturn = $this->lang('global_article_points_error2');
				echo("0: ".$txtreturn);
				return;
            } else {

                $the_article = $this->db1->fetch("SELECT idpost, iduser FROM posts WHERE code='".$code_article."' LIMIT 1");
                if (!$the_article) {
                    $txtreturn = $this->lang('global_article_points_error');
                    echo("0: ".$txtreturn);
                    return;                
                } else {
                    $idowner = $the_article->iduser;
                    $idarticle = $the_article->idpost;
                    
                    $this->db1->query("INSERT INTO points SET iduser=".$this->user->id.", idarticle=".$idarticle.", points=".$points.", whendate='".time()."'");
                    $this->db1->query("UPDATE posts SET points=points+".$points." WHERE idpost=".$idarticle.' LIMIT 1');
                    $this->db1->query("UPDATE users SET total_points=total_points+".$points." WHERE iduser=".$idowner.' LIMIT 1');
                    
                    $this->db1->query("INSERT INTO notifications SET notif_type=6, idresult=0, to_user_id=".$idowner.", from_user_id=".$this->user->id.", notif_object_type=2, notif_object_id=".$idarticle.", whendate='".time()."'");
				    $this->db1->query("UPDATE users SET num_notifications=num_notifications+1 WHERE iduser=".$idowner.' LIMIT 1');
                    
                    $txtreturn = '<div id="line01">'.$this->lang('global_article_points_yougiven').'</div>';
                    $txtreturn .= '<div id="line02" style="margin-top:0 !important;"><span id="the_point">'.$points.'</span> <span id="the_units">'.($points == 1 ? $this->lang('global_article_points_point') : $this->lang('global_article_points_points')).'</span></div>';
    
                    echo('1: '.$txtreturn);
                    return;                
                }
            }
		}
		
		if ($action == 4) {	
            $the_article = $this->db1->fetch("SELECT idpost, iduser FROM posts WHERE code='".$code_article."' LIMIT 1");
            if (!$the_article) {
                $txtreturn = $this->lang('global_txt_article_comment_notexist');
                echo("0: ".$txtreturn);
                return;                
            } else {
                $idowner = $the_article->iduser;
                $idarticle = $the_article->idpost;
                $r = $this->db1->query("INSERT INTO comments SET idpost=".$idarticle.", iduser=".$this->user->id.", comment='".$thecomment."', typeitem=1, whendate='".time()."'");
                $idcomment = $this->db1->insert_id();
                $this->db1->query("UPDATE users SET num_comments_articles=num_comments_articles+1 WHERE iduser=".$this->user->id.' LIMIT 1');
                $this->db1->query("UPDATE posts SET numcomments=numcomments+1 WHERE idpost=".$idarticle.' LIMIT 1');
                $this->db1->query('INSERT INTO activities SET iduser='.$this->user->id.', action=8, idresult='.$idcomment.', iditem='.$idarticle.', typeitem=2, whendate="'.time().'"');

                if ($this->user->id != $idowner) {
                    $this->db1->query("INSERT INTO notifications SET notif_type=7, idresult=".$idcomment.", to_user_id=".$idowner.", from_user_id=".$this->user->id.", notif_object_type=2, notif_object_id=".$idarticle.", whendate='".time()."'");
                    $this->db1->query("UPDATE users SET num_notifications=num_notifications+1 WHERE iduser=".$idowner.' LIMIT 1');
                }
                
                $htmlReturn = '';
                
                if ($C->COMMENTS_ENRICHED) {
                    $D->o_comment = htmlspecialchars_decode(stripslashes($this->db1->fetch_field("SELECT comment FROM comments WHERE idcomment=".$idcomment)));
                } else {
                    $D->o_comment = stripslashes($this->db1->fetch_field("SELECT comment FROM comments WHERE idcomment=".$idcomment));
                }

                $D->o_username = stripslashes($this->user->info->username);
                $D->o_firstname = stripslashes($this->user->info->firstname);
                $D->o_lastname = stripslashes($this->user->info->lastname);
                $D->o_ucode = $this->user->info->code;
                $D->o_nameUser = (empty($D->o_firstname) || empty($D->o_lastname))?stripslashes($D->o_username):(stripslashes($D->o_firstname).' '.stripslashes($D->o_lastname));
                $D->o_whendate = time();
                $D->o_avatar =  empty($this->user->info->avatar)?$C->AVATAR_DEFAULT:$this->user->info->avatar;
                $D->o_idcomment = $idcomment;
                $D->o_idUser = $this->user->id;
                $D->o_idpost = $idarticle;
                $D->o_idUserOwner = $idowner;
                $D->o_codepost = $code_article;
                $htmlReturn = $this->load_template('__article-onecomment.php', FALSE);
            
                echo('1: '.$htmlReturn);
                return;
            }
		}
		
		if ($action == 5) {
            $id_writer_comment = $this->db1->fetch_field("SELECT iduser FROM comments WHERE idcomment=".$idcomment." LIMIT 1");
            
            if ($id_writer_comment != $this->user->id) {
                
                if ($this->user->id == $idowner) {

                    $this->db1->query("DELETE FROM comments WHERE idcomment=".$idcomment);
                    if ($this->db1->affected_rows()>0) {
                        $this->db1->query("UPDATE users SET num_comments_articles=num_comments_articles-1 WHERE iduser=".$id_writer_comment.' LIMIT 1');
                        $this->db1->query("UPDATE posts SET numcomments=numcomments-1 WHERE idpost=".$ida.' LIMIT 1');

                        $this->db1->query("DELETE FROM notifications WHERE notif_type=7 AND idresult=".$idcomment." AND from_user_id=".$id_writer_comment);
                        
                        $nnotifications = $this->network->getNumNotifications($idowner);
                        if ($nnotifications <= 0) $nnotifications = 0;
                        else $nnotifications = $nnotifications - 1;
                        
                        $this->db1->query("UPDATE users SET num_notifications=".$nnotifications." WHERE iduser=".$idowner." LIMIT 1");

                    }                
                    
                }
                
            } else {
                $this->db1->query("DELETE FROM comments WHERE idcomment=".$idcomment);
                if ($this->db1->affected_rows()>0) {
                    $this->db1->query("UPDATE users SET num_comments_articles=num_comments_articles-1 WHERE iduser=".$this->user->id.' LIMIT 1');
                    $this->db1->query("UPDATE posts SET numcomments=numcomments-1 WHERE idpost=".$ida.' LIMIT 1');
    
                    if ($this->user->id != $idowner) {
                        $this->db1->query("DELETE FROM notifications WHERE notif_type=7 AND idresult=".$idcomment." AND from_user_id=".$this->user->id);
                        
                        $nnotifications = $this->network->getNumNotifications($idowner);
                        if ($nnotifications <= 0) $nnotifications = 0;
                        else $nnotifications = $nnotifications - 1;
                        
                        $this->db1->query("UPDATE users SET num_notifications=".$nnotifications." WHERE iduser=".$idowner." LIMIT 1");
                    }
                }                
            }

			echo('1: Ok');
			return;
		}
		
		if ($action == 6) {
            
            $the_article = $this->db1->fetch("SELECT idpost, valueattach FROM posts WHERE iduser=".$this->user->id." AND code='".$code_article."' LIMIT 1");
            
            if (!$the_article) {
                $txtreturn = $this->lang('dashboard_myarticles_error_delete');
                echo("0: ".$txtreturn);
                return;                

            } else { 
                $idarticle = $the_article->idpost;
                $thumbnail = $the_article->valueattach;

                $this->db2->query('DELETE FROM posts WHERE idpost='.$idarticle.' AND iduser='.$this->user->id.' LIMIT 1');
                $this->db2->query('UPDATE users SET num_articles=num_articles-1 WHERE iduser='.$this->user->id.' LIMIT 1');
                
                //Delete comments
                $allcomments = $this->db2->fetch_all('SELECT iduser FROM comments WHERE typeitem=1 AND idpost='.$idarticle);                
                foreach ($allcomments as $onecomments) {
                    $this->db2->query('UPDATE users SET num_comments_articles=num_comments_articles-1 WHERE iduser='.$onecomments->iduser.' LIMIT 1');
                }
                $this->db2->query('DELETE FROM comments WHERE typeitem=1 AND idpost='.$idarticle);
                
                // Delete likes
                $alllikes = $this->db2->fetch_all('SELECT iduser FROM likes WHERE typeitem=1 AND idpost='.$idarticle);
                foreach($alllikes as $onelike) {
                    $this->db2->query('UPDATE users SET num_likes_articles=num_likes_articles-1 WHERE iduser='.$onelike->iduser.' LIMIT 1');
                }
                $this->db2->query('DELETE FROM likes WHERE typeitem=1 AND idpost='.$idarticle);
                
                //Delete activities
                $this->db2->query('DELETE FROM activities WHERE iditem='.$idarticle.' AND typeitem=2');
                
                //Delete notifications
                $this->db2->query('DELETE FROM notifications WHERE notif_object_id='.$idarticle.' AND notif_object_type=2');

                //Delete censored
                $this->db2->query('DELETE FROM censored WHERE iditem='.$idarticle.' AND typeitem=1');
                
                //Delete thumbnail
                $raiz = '../';
                $thefolder = $C->FOLDER_ARTICLES;
                if (file_exists($raiz.$thefolder.$thumbnail)) unlink($raiz.$thefolder.$thumbnail);
                if (file_exists($raiz.$thefolder.'min1/'.$thumbnail)) unlink($raiz.$thefolder.'min1/'.$thumbnail);
                if (file_exists($raiz.$thefolder.'min2/'.$thumbnail)) unlink($raiz.$thefolder.'min2/'.$thumbnail);
                
                $txtreturn = 'Ok';
                echo('1: '.$txtreturn);
                return;
            }
		}
        
		if ($action == 7) {
            $the_post = $this->db1->fetch("SELECT idpost, iduser FROM posts WHERE typepost='e_article' AND code='".$code_article."' LIMIT 1");
            if (!$the_post) {
                $txtreturn = $this->lang('global_article_other_error');
                echo('0: '.$txtreturn);
                return;                
            } else {
                $idpost = $the_post->idpost;
                $idowner = $the_post->iduser;
                $r = $this->db1->query("INSERT INTO likes SET typeitem=1, idpost=".$idpost.", iduser=".$this->user->id.", datewhen='".time()."'");
                $idlike = $this->db1->insert_id();
                $this->db1->query("UPDATE users SET num_likes_articles=num_likes_articles+1 WHERE iduser=".$this->user->id.' LIMIT 1');
                $this->db1->query("UPDATE posts SET numlikes=numlikes+1 WHERE idpost=".$idpost.' LIMIT 1');
                if ($this->user->id != $idowner) {
                    $this->db1->query("INSERT INTO notifications SET notif_type=8, idresult=".$idlike.", to_user_id=".$idowner.", from_user_id=".$this->user->id.", notif_object_type=2, notif_object_id=".$idpost.", whendate='".time()."'");
                    $this->db1->query("UPDATE users SET num_notifications=num_notifications+1 WHERE iduser=".$idowner.' LIMIT 1');
                }
                $txtreturn = 'Ok';
                echo('1: '.$txtreturn);
                return;
            }
		}

		if ($action == 8) {
            $the_post = $this->db1->fetch("SELECT idpost, iduser FROM posts WHERE typepost='e_article' AND code='".$code_article."' LIMIT 1");            
            if (!$the_post) {
                $txtreturn = $this->lang('global_article_other_error');
                echo('0: '.$txtreturn);
                return;                
            } else {
                $idpost = $the_post->idpost;
                $idowner = $the_post->iduser;
				$r = $this->db1->query("DELETE FROM likes WHERE typeitem=1 AND idpost=".$idpost." AND iduser=".$this->user->id);
				$this->db1->query("UPDATE users SET num_likes_articles=num_likes_articles-1 WHERE iduser=".$this->user->id.' LIMIT 1');
				$this->db1->query("UPDATE posts SET numlikes=numlikes-1 WHERE idpost=".$idpost.' LIMIT 1');
				if ($this->user->id != $idowner) {
					$this->db1->query("DELETE FROM notifications WHERE notif_type=8 AND to_user_id=".$idowner." AND from_user_id=".$this->user->id." AND notif_object_type=2 AND notif_object_id=".$idpost);
					$nnotifications = $this->network->getNumNotifications($idowner);
					if ($nnotifications <= 0) $nnotifications = 0;
					else $nnotifications = $nnotifications - 1;
					$this->db1->query("UPDATE users SET num_notifications=".$nnotifications." WHERE iduser=".$idowner.' LIMIT 1');
				}

                $txtreturn = 'Ok';
                echo('1: '.$txtreturn);
                return;
            }
		}

		if ($action == 9) {
            
            $the_post = $this->db1->fetch("SELECT idpost, iduser FROM posts WHERE typepost='e_article' AND code='".$code_article."' LIMIT 1");
            if (!$the_post) {
                $txtreturn = $this->lang('global_article_other_error');
                echo('0: '.$txtreturn);
                return;                
            } else {
                $idpost = $the_post->idpost;
                $idowner = $the_post->iduser;
                $r = $this->db1->query("INSERT INTO censored SET typeitem=1, iditem=".$idpost.", iduser=".$this->user->id.", reasons='".$thereason."', whendate='".time()."'");
                $idcensor = $this->db1->insert_id();
                $this->db1->query("UPDATE posts SET numcensors=numcensors+1 WHERE idpost=".$idpost.' LIMIT 1');
                $txtreturn = 'Ok';
                echo('1: '.$txtreturn);
                return;
            }
            
		}

	}
?>