<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
    $the_code = $this->param('codearticle');

    if (empty($the_code) || !(strlen($the_code) == 11)) $this->redirect($C->SITE_URL);
    
    $D->the_article = $network->verifiedArticle($the_code);

    if (!$D->the_article) $this->redirect($C->SITE_URL);
    
    //all categories in an array
    $D->allCategories = $this->db2->fetch_all('SELECT idcategory, name, seo_url_cat FROM categories ORDER BY name ASC');
    
    $D->seo_url_cat = getSeoURLCat($D->the_article->idcategory, $D->allCategories);

    $D->seo_url = $this->param('seo_url');
    if (empty($D->seo_url) || $D->the_article->seo_url != $D->seo_url) $this->redirect($C->SITE_URL.'articles/'.$D->seo_url_cat.'/'.$D->the_article->code.'/'.$D->the_article->seo_url);


    if (isset($this->params->thecategory) && !empty($D->seo_url)) {
        $theurlcat = $this->params->thecategory;
        if ($theurlcat != $D->seo_url_cat) $this->redirect($C->SITE_URL.'articles/'.$D->seo_url_cat.'/'.$D->the_article->code.'/'.$D->the_article->seo_url);
    }
    
    $D->u = $this->network->get_user_by_id(intval($D->the_article->iduser));
	
	/*------------------------------------------------------------------------*/
	// needed before proceeding
	require_once('_all-required-language.php');
	
	/*------------------------------------------------------------------------*/

	$this->load_langfile('global/global.php');	
	$this->load_langfile('outside/profile.php');

	/*------------------------------------------------------------------------*/

	// needed before proceeding
	require_once('_all-required-article.php');
	
	/*------------------------------------------------------------------------*/
    
    
    $D->the_article->thebody = htmlspecialchars_decode(stripslashes($D->the_article->thebody));
    $D->the_article->thebody = filterBadWords($D->the_article->thebody);
    
    // process tags
    $D->the_article->tags = stripslashes($D->the_article->tags);

    $html_tags = '';
    if (!empty($D->the_article->tags)) {
        
        $D->the_article->tags = str_replace('||',',', stripslashes($D->the_article->tags));
        $D->the_article->tags = trim($D->the_article->tags, '|');
        
        $tags_array = explode(',', $D->the_article->tags);
        foreach ($tags_array as $onetag) {
            $ttag = trim(strtolower($onetag));
            if (!empty($ttag)) {
                $html_tags = $html_tags . '<a href="'.$C->SITE_URL.'tags/t:'. $ttag .'"><div class="onetag">' .$ttag . '</div></a>'; 
            }
        }
        $html_tags = trim($html_tags, ', ');
    }
    $D->the_article->tags = $html_tags;
    
	/*------------------------------------------------------------------------*/
    
    $allcommentsArticle = $this->db2->fetch_all('SELECT idcomment, comments.whendate, comment, comments.iduser, username, firstname, lastname, avatar, idpost, users.code as ucode FROM comments, users WHERE users.iduser=comments.iduser AND idpost='.$D->the_article->idpost.' ORDER BY comments.whendate ASC');

    $D->the_comments_articles = '';
    foreach($allcommentsArticle as $onecomment){
        if ($C->COMMENTS_ENRICHED) {
            $D->o_comment = htmlspecialchars_decode(stripslashes($onecomment->comment));
        } else {
            $D->o_comment = stripslashes($onecomment->comment);
        }
        $D->o_comment = filterBadWords($D->o_comment);
        $D->o_username = stripslashes($onecomment->username);
        $D->o_firstname = stripslashes($onecomment->firstname);
        $D->o_lastname = stripslashes($onecomment->lastname);
        $D->o_ucode = $onecomment->ucode;
        $D->o_nameUser = (empty($D->o_firstname) || empty($D->o_lastname))?stripslashes($D->o_username):(stripslashes($D->o_firstname).' '.stripslashes($D->o_lastname));
        $D->o_whendate = $onecomment->whendate;
        $D->o_avatar =  empty($onecomment->avatar)?$C->AVATAR_DEFAULT:$onecomment->avatar;
        $D->o_idcomment = $onecomment->idcomment;
        $D->o_idUser = $onecomment->iduser;
        $D->o_idpost = $D->the_article->idpost;
        $D->o_idUserOwner = $D->the_article->iduser;
        $D->the_comments_articles .= $this->load_template('__article-onecomment.php', FALSE);
    }
    unset($allcommentsArticle, $onecomment);

	/*------------------------------------------------------------------------*/

    $D->ogIMG = $C->SITE_URL. $C->FOLDER_ARTICLES . $D->the_article->valueattach;
    $D->ogURL = $C->SITE_URL. 'articles/' . $D->seo_url_cat . '/' . $the_code . '/' . $D->seo_url;
    
	/*------------------------------------------------------------------------*/

	$D->page_title = stripslashes($D->the_article->post).' - '.$C->SITE_TITLE;
    
    $network->countViewArticle($the_code);
    
    $param_ref = $this->param('ref');
    if (!empty($param_ref) && $param_ref == 'search') $network->putInSearch($D->the_article->idpost);

	$this->load_template('article.php');
?>