<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	/*************************************************************************/
	// needed before proceeding
	require_once('_all-required-language.php');
	
	/*************************************************************************/

	$this->load_langfile('global/global.php');

	/*************************************************************************/
	
	// needed before proceeding
	require_once('_all-required-search.php');
	
	/*************************************************************************/
	
	$D->query = '';
	if ($this->param('q')) $D->query = decodeSlug(trim($this->param('q')));
	
    $D->qsql = "";
    $D->urlQ = '';


    $D->htmlResult = '';
    $D->msgResult  = $this->lang('global_search_qshort');
    
	if (!empty($D->query) && strlen($D->query)>1) {

        $D->qsql = " AND (post like '%".$D->query."%') ";
        $D->urlQ = '/q:'.$D->query;

        /**** Pagination ****/
        
        $D->ITEMS_PER_PAGE = 12;
        $D->pageCurrent = 1;
        
        if ($this->param('p')) $D->pageCurrent = $this->param('p');
    
        $D->totalitems = $this->db2->fetch_field("SELECT count(idpost) FROM posts WHERE typepost='e_article' ".$D->qsql);
        
        $D->start = ($D->pageCurrent-1) * $D->ITEMS_PER_PAGE;
        
        $D->totalPag = ceil($D->totalitems/$D->ITEMS_PER_PAGE);
        if ($D->totalPag <= 0) $D->totalPag = 1;
        
        if ($D->totalPag<$D->pageCurrent) $this->redirect($C->SITE_URL.'search'.$D->urlQ);
        
        $D->pagVisibles = 2;
        
        if ($D->totalPag > (2 * $D->pagVisibles) + 1) {
        
            $D->firstPage = $D->pageCurrent - $D->pagVisibles;
            if ($D->firstPage < 1) $D->firstPage = 1;
            
            $D->lastPage = $D->firstPage + (2 * $D->pagVisibles);
            if ($D->lastPage > $D->totalPag) $D->lastPage = $D->totalPag;
            
            if ($D->lastPage - $D->firstPage < (2 * $D->pagVisibles) + 1) $D->firstPage = $D->lastPage - (2 * $D->pagVisibles);
            
        } else {
            
            $D->firstPage = 1;
            $D->lastPage = $D->totalPag;
        }
        
        /********************/
        
        $r = $this->db2->query("SELECT * FROM posts WHERE typepost='e_article' ".$D->qsql." ORDER BY whendate DESC LIMIT ".$D->start.",".$D->ITEMS_PER_PAGE);
    
        $D->numitems = $this->db2->num_rows();
        
        $D->count = 0;
        
        while ($obj = $this->db2->fetch_object($r)) {
            
            $D->oneArticle = $obj;
    
            $D->oneArticle->post = stripslashes($obj->post);
            
            $D->count++;
            
            $D->seo_url_cat = getSeoURLCat($obj->idcategory, $D->allCategories);
    
            $D->htmlResult .= $this->load_template('__search-one-article.php', FALSE);
            
        }
        unset($obj, $r);
        
        if (empty($D->htmlResult)) $D->msgResult = $this->lang('global_search_noresult');

    }
	
	/*************************************************************************/

	$D->page_title = $this->lang('global_search_title').' - '.$C->SITE_TITLE;
		
	$this->load_template('search.php');
?>