<?php
    $lang = array(
        'admin_menu_title' => 'Opciones',
        
        'admin_menu_general' => 'Config General',
        'admin_menu_users' => 'Usuarios',
        'admin_menu_categories' => 'Categorías',
        'admin_menu_articles' => 'Artículos',
        'admin_menu_censored' => 'Censurado',
        'admin_menu_ads' => 'Publicidad',
        'admin_menu_themes' => 'Themes',
        'admin_menu_languages' => 'Idiomas',
        'admin_menu_pages' => 'Páginas',
                
        'admin_no_request' => 'No se puede completar lo solicitado.',
        
        'admin_general_title' => 'Configuración General',
        'admin_general_subtitle1' => 'General',
        'admin_general_txt_title' => 'Título del Sitio:',
        'admin_general_txt_site_description' => 'Descripción del Sitio (SEO):',
        'admin_general_txt_site_keywords' => 'Keywords del Sitio (SEO):',
        'admin_general_txt_site_company' => 'Empresa:',
        'admin_general_txt_languages' => 'Mostrar idiomas:',
        'admin_general_txt_languages_opc01' => 'Sí, mostrar idiomas',
        'admin_general_txt_languages_opc02' => 'No, no mostrar idiomas',
        'admin_general_txt_pages' => 'Mostrar páginas informativas:',
        'admin_general_txt_pages_opc01' => 'Sí, mostrar páginas',
        'admin_general_txt_pages_opc02' => 'No, no mostrar páginas',
        'admin_general_txt_error1' => 'Ingrese un título para el sitio',
        'admin_general_txt_error2' => 'Ingrese una descripción para el sitio',
        'admin_general_txt_error3' => 'Ingresa los keywords para el sitio',
        'admin_general_txt_error4' => 'Ingresa el nombre de tu empresa',
        
        'admin_general_subtitle2' => 'Notificaciones de usuario',
        'admin_general_ntf_events' => 'Num. Notificaciones de Eventos:',
        'admin_general_ntf_interval_events' => 'Intervalo para chequear nuevos eventos:',
        'admin_general_ntf_msgs' => 'Num. Notificaciones de Mensajes:',
        'admin_general_ntf_interval_msgs' => 'Intervalo para chequear nuevos mensajes:',
        
        'admin_general_ntf_txt' => 'notificaciones',
        'admin_general_ntf_txt_second' => 'segundo',
        'admin_general_ntf_txt_seconds' => 'segundos',
        'admin_general_ntf_txt_minute' => 'minuto',
        'admin_general_ntf_txt_minutes' => 'minutos',
        
        'admin_general_subtitle3' => 'User Chats',
        'admin_general_chat_refresh' => 'Intervalo de actualización del chat:',
        'admin_general_chat_nummsgchat' => 'Mensajes al iniciar:',
        'admin_general_chat_txt_second' => 'segundo',
        'admin_general_chat_txt_seconds' => 'segundos',
        'admin_general_chat_emoticons' => 'Emoticons:',
        'admin_general_chat_emoticons_opc01' => 'Con Emoticons',
        'admin_general_chat_emoticons_opc02' => 'Sin Emoticons',
    
        'admin_general_subtitle4' => 'Mostrar elementos',
        'admin_general_items_followers' => 'Seguidores:',
        'admin_general_items_following' => 'Siguiendo:',
        'admin_general_items_notifications' => 'Lista de notificaciones:',
        'admin_general_items_messages' => 'Lista de Mensajes:',
        'admin_general_items_activities' => 'Actividades:',
        'admin_general_items_comments' => 'Comentarios:',
        'admin_general_items_favorites' => 'Likes:',
        'admin_general_items_search' => 'Resultados de Búsqueda:',
        'admin_general_items_txtpage' => 'página',
        
        'admin_ads_title' => 'Administrar Publicidad',
        'admin_ads_subtitle1' => 'Publicidad en los Perfiles',
        'admin_ads_profile1' => 'Publicidad 1 en Perfiles',
        'admin_ads_profile2' => 'Publicidad 2 en Perfiles',
        
        'admin_ads_subtitle2' => 'Publicidad en el Dashboard',
        'admin_ads_dashboard1' => 'Publicidad 1 en Dashboard',
        'admin_ads_dashboard2' => 'Publicidad 2 en Dashboard',
        
        'admin_txt_bsave' => 'Guardar cambios',
        'admin_txt_msgok' => 'Se han guardado los cambios.',
        'admin_no_session' => 'Cierre su sesión e ingrese nuevamente.',
        
        'admin_manageuser_title' => 'Administración de Usuarios',
        'admin_manageuser_subtitle1' => 'Lista de Usuarios',
        'admin_manageuser_txt1' => 'Usuarios registrados en la aplicación:',
        'admin_manageuser_subtitle2' => 'Detalle de Usuario',
        'admin_manageuser_linkback' => 'Regresar',
        'admin_manageuser_avatar' => 'Avatar',
        'admin_manageuser_firstname' => 'Nombres',
        'admin_manageuser_lastname' => 'Apellidos',
        'admin_manageuser_username' => 'Username',
        'admin_manageuser_subtitle3' => 'Estado',
        'admin_manageuser_txtuserstatus' => 'Estado del usuario',
        'admin_manageuser_active' => 'Activo',
        'admin_manageuser_inactive' => 'Inactivo',
        'admin_manageuser_subtitle4' => 'Administrador',
        'admin_manageuser_txtleveluser' => 'Nivel de Usuario',
        'admin_manageuser_isadministrator' => 'Es administrador',
        'admin_manageuser_notadministrator' => 'No es administrador',
        'admin_manageuser_subtitle5' => 'Eliminar usuario',
        'admin_manageuser_txtdelete' => 'Quiero eliminar usuario',
        'admin_manageuser_txtalert' => 'Vas a eliminar a un usuario',
        'admin_manageuser_bdelete' => 'Eliminar usuario',
        'admin_manageuser_txtadministrator' => 'Administrador',
        'admin_manageuser_txtvalidated' => 'Verificar',
        'admin_manageuser_txtvalidated_msg' => 'Estado de Verificación',
        'admin_manageuser_txtisvalidated' => 'Usuario Verificado',
        'admin_manageuser_txtisnotvalidated' => 'Usuario no Verificado',
        'admin_manageuser_txtloginwithfb' => 'Logueado con Facebook',
        
        'admin_manageuser_txt_email' => 'Email',
        'admin_manageuser_txt_username' => 'Usuario',
        'admin_manageuser_txt_firstname' => 'Nombres',
        'admin_manageuser_txt_lastname' => 'Apellidos',
        'admin_manageuser_txt_error1' => 'Ingresa un email valido.',
        'admin_manageuser_txt_error2' => 'Ingresa un usuario valido.',
        'admin_manageuser_txt_error3' => 'Nombre de usuario no disponible.',
        'admin_manageuser_txt_error4' => 'El nombre de usuario ya lo están usando.',
        'admin_manageuser_txt_error5' => 'El email ya lo usa otro usuario.',
        'admin_manageuser_txt_error6' => 'Tienes que ingresar los Nombres.',
        'admin_manageuser_txt_error7' => 'Tienes que ingresar los Apellidos.',
        
        'admin_manageuser_pass_subtitle6' => 'Contraseña',
        'admin_manageuser_pass_txt_newpass' => 'Nueva contraseña',
        'admin_manageuser_pass_txt_reenternewpass' => 'Reingrese nueva contraseña',
        'admin_manageuser_pass_txt_msg1' => 'Tienes que ingresar una Contraseña Nueva.',
        'admin_manageuser_pass_txt_msg2' => 'Tienes que repetir la Contraseña Nueva.',
        'admin_manageuser_pass_txt_msg3' => 'Las Contraseñas no son iguales.',                
        
        'admin_languages_title' => 'Idiomas',
        'admin_languages_subtitle1' => 'Idioma Principal',
        'admin_languages_txt1' => 'Elija el idioma principal para la aplicación:',
    
        'admin_theme_title' => 'Themes',
        'admin_theme_subtitle1' => 'Theme Principal',
        'admin_theme_txt1' => 'Elija el theme principal para la aplicación:',
        
        'admin_pages_title' => 'Páginas',
        'admin_pages_subtitle1' => 'Página Nosotros',
        'admin_pages_subtitle2' => 'Página Política de Privacidad',
        'admin_pages_subtitle3' => 'Página T&eacute;rminos de Uso',
        'admin_pages_subtitle4' => 'Página Aviso Legal',
        'admin_pages_subtitle5' => 'Página Contacto',
        'admin_pages_textenter' => 'Ingrese texto:',
        'admin_pages_txterror' => 'Tienes que ingresar un texto',
    
        'admin_posts_title' => 'Status',
        'admin_posts_subtitle1' => 'Imágenes por status',
        'admin_posts_subtitle2' => 'Comentarios por status',
    
        'admin_ads_title' => 'Administrar Publicidad',
        'admin_ads_subtitle1' => 'Publicidad 1 (Ancho = 300px)',
        'admin_ads_subtitle2' => 'Publicidad 2 (Ancho = 300px)',
        
        'admin_censored_title' => 'Elementos Censurados',
        'admin_censored_empty' => 'No se han hallado elementos',
        'admin_censored_msg_list' => 'Lista de items reportados por los usuarios',
        'admin_censored_opc_ignore' => 'Ignorar Censura',
        'admin_censored_opc_delete' => 'Eliminar artículo',
		'admin_censored_alert_ignore' => 'Vas a quitar las denuncias de un artículo',
		'admin_censored_alert_delete' => 'Vas a eliminar un artículo',
        'admin_censored_error_action' => 'No se puede realizar la acción que solicitas.',
        
        'admin_categories_title' => 'Categorías para Artículos',
        'admin_categories_new_title' => 'Categoría Nueva',
        'admin_categories_new_name' => 'Nombre de la Categoría',
        'admin_categories_new_bsubmit' => 'Crear Categoría',
        
		'admin_categories_error_namecategory' => 'Ingrese un nombre para la categoría',
        
        'admin_categories_list_title' => 'Lista de Categorías',
        'admin_categories_list_nocategories' => 'No se han hallado categorías.',
        'admin_categories_list_opc_edit' => 'Editar',
        'admin_categories_list_opc_delete' => 'Eliminar',
        'admin_categories_list_txt_category' => 'Categoría',
        'admin_categories_list_txt_update' => 'Actualizar',
        'admin_categories_list_txt_cancel' => 'Cancelar',
        
		'admin_categories_txt_alertdelete' => 'Vas a eliminar una categoría',
		'admin_categories_txt_nodelete' => 'Esta categoría tiene artículos, no puedes eliminarlo.',
        
        'admin_articles_title' => 'Artículos',
        'admin_articles_empty' => 'No se han encontrado artículos.',
        'admin_articles_msg_list' => 'Lista de artículos creados por los usuarios',
		'admin_articles_alert_delete' => 'Vas a eliminar un artículo',
        'admin_articles_error_action' => 'No se puede realizar la acción que solicitas.',
        
        /*--------------------------------------------------*/
        /*--- FOR V1.1 ---*/
        
        'admin_articles_opc_edit' => 'Editar',
        'admin_articles_opc_delete' => 'Eliminar',
        
        'admin_articles_edit_linkback' => 'Regresar',
        'admin_articles_edit_title' => 'Editar Artículo',

        'admin_general_home_title' => 'En la Portada',
        'admin_general_home_featured' => 'Artículos destacados:',
        'admin_general_home_recents' => 'Artículos recientes:',
        'admin_general_home_recents_sidebar' => 'Sidebar Artículos Recientes:',
        'admin_general_home_featured_sidebar' => 'Sidebar Artículos Destacados:',
        'admin_general_home_comments_sidebar' => 'Sidebar Comentarios Recientes:',
        'admin_general_home_search_sidebar' => 'Sidebar Más Buscados:',
        'admin_general_home_topuser_sidebar' => 'Sidebar Usuarios Top:',
        
        'admin_general_inarticle_title' => 'En los Artículos',
        'admin_general_inarticle_ncharstitle' => 'Número de letras en el título:',
        'admin_general_inarticle_allowcommrich' => 'Permitir comentarios enriquecidos:',
        'admin_general_inarticle_allowcommrich_opc01' => 'Sí, permitir comentarios enriquecidos',
        'admin_general_inarticle_allowcommrich_opc02' => 'No, no permitir comentarios enriquecidos',
        
        'admin_general_badwords_title' => 'Filtro de malas palabras (separados por comas)',

        /*--- END V1.1 ---*/
        /*--------------------------------------------------*/
        
    );

?>