<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/

/** 
 * Main file that is responsible for loading the classes needed
 * to successfully perform the tasks of the application.
 */

	chdir(dirname(__FILE__));
	
	require_once('./helpers/func_main.php');
	require_once('./config.php');
	
	session_start();
	
	$db1 = new mysql($C->DB_HOST, $C->DB_USER, $C->DB_PASS, $C->DB_NAME);
	$db2 = &$db1;
		
	$network = new network();
	$network->load();
	
	$user = new user();
	$user->load();
	
	$page = new page();
	$page->load();

?>