<?php
$this->load_template('_header.php');
$this->load_template('_top.php');
?>

<script type="text/javascript" src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME ?>/js/js_dashboard.js"></script>

<div id="generalspace">

    <div class="container">

        <div style="position:relative; float:left;">

            <div id="column1"><?php $this->load_template('_verticalmenu-dashboard.php'); ?></div>
            
            <div id="column2">
            
                <div id="dashboard2">
                
                    <?php $D->withReturnQ = TRUE; ?>
                
                    <?php $this->load_template('_writestatus-hide.php');?>
                    
                    <div class="spaceWhite" id="thequest">
                        <div id="qtitle"><?php echo $this->lang('dashboard_actions_title')?></div>
                        <div id="areabuttons">
    
                            <div id="q1" class="bquestion">
                                <div class="bquestion_inside">
                                    <a href="<?php echo $C->SITE_URL?>dashboard/myarticles/add">
                                    <div><img src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME?>/imgs/ico-q-1.png"></div>
                                    <div class="q_title"><?php echo $this->lang('dashboard_actions_add_article')?></div>
                                    </a>
                                </div>
                            </div>

                            <div id="q2" class="bquestion">
                                <div class="bquestion_inside">
                                    <a href="<?php echo $C->SITE_URL?>directory/people">
                                    <div><img src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME?>/imgs/ico-q-2.png"></div>
                                    <div class="q_title"><?php echo $this->lang('dashboard_actions_know_users')?></div>
                                    </a>
                                </div>
                            </div>                            

                            <div id="q2" class="bquestion">
                                <div class="bquestion_inside">
                                    <a href="<?php echo $C->SITE_URL?>dashboard/configuration">
                                    <div><img src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME?>/imgs/ico-q-3.png"></div>
                                    <div class="q_title"><?php echo $this->lang('dashboard_actions_update_profile')?></div>
                                    </a>
                                </div>
                            </div>                            
    
                            <div class="bquestion">
                                <div class="bquestion_inside">
                                    <div id="q3" class="hand">
                                    <div><img src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME?>/imgs/ico-q-4.png"></div>
                                    <div class="q_title"><span><?php echo $this->lang('dashboard_actions_upd_status')?></span></div>
                                    </div>
                                </div>
                            </div>
    
                            <div class="sh"></div>
                        </div>
                    </div>
                    
                    <script>
                    $('#q3').click(function(){
                        $('#thequest').slideUp('slow', function(){
                            $('#_writestatus').slideDown('slow');
                        });
                    })
    
                    $('#breturnq').click(function(){
                        $('#_writestatus').slideUp('slow', function(){
                            $('#thequest').slideDown('slow');
                        });
                    })
                    
                    
                    </script>
                    
                    <div id="recent-content"></div>
                    
                    <?php if (!empty($D->htmlResult)) { ?>
                    
                    <div><?php echo $D->htmlResult; ?></div>                
                    
                    <?php if ($D->totalactivities > $C->NUM_ACTIVITIES_PAGE) { ?>
                    
                    <div id="moreitems"></div>
                    
                    <div><input name="numitems" type="hidden" id="numitems" value="<?php echo $D->numactivities?>" /></div>
                    
                    <div id="moreitemsbar" class="mrg30T mrg10B">
                        <div class="centered">
                            <span id="bmore" class="bwhite rounded"><?php echo $this->lang('global_txt_moreitems')?></span>
                            <span id="morepreload" class="hide"><img src="<?php echo $C->SITE_URL?>themes/<?php echo $C->THEME ?>/imgs/preload.gif" /></span>
                        </div>
                    </div>
                    <script>
                        var idu = <?php echo $this->user->id ?>;
                        var itemperpage = <?php echo $C->NUM_ACTIVITIES_PAGE ?>;
                        $('#bmore').click(function(){
                            reloadinfo('activities');
                            return false;
                        });
                    </script>
            
                    <?php } ?>
                    
                    
                    <?php } else {?>
                    
                    <div><?php $this->load_template('__dashboard-welcome.php');?></div>
                    
                    <?php } ?>
    
                </div>
            
            </div>
        
            <div class="sh"></div>
            
        </div>
        
        <div id="divseparator" class="sh"></div>
        
        <div id="column3"><?php $this->load_template('_additional-info-dashboard.php'); ?></div>
        
        <div class="sh"></div>
    
    </div>
            
</div>
  

<?php
$this->load_template('_foot.php');
$this->load_template('_footer.php');
?>