(function() {

	tinymce.create('tinymce.plugins.FacebookTinyKanorika', {
		init : function(ed) {

            //register command            
			ed.addCommand('facebookTinyK', function() {

				ed.windowManager.open({
                    title: "Insert Post Facebook",
                    url: siteurl + 'facebook-tiny',
                    width: 300,
                    height: 100,
					inline : 1,
                    buttons: [{
                        text: 'Close',
                        onclick: 'close'
                    }],
				});
			});
            
            //register button
			ed.addButton('facebooktiny', {
				title : 'Insert Post Facebook',
				image : siteurl + 'themes/' + sitetheme + '/imgs/ico-facebook-tiny.png',
                cmd : 'facebookTinyK',
			});            
            
		},
		
		getInfo : function() {
			return {
				longname : 'FacebookTiny',
				author : 'Kanorika Team',
				authorurl : 'http://www.kanorika.com/',
				infourl : 'http://www.kanorika.com/',
				version : '1.0'
			};
		}

	});
	
    //register plugin
	tinymce.PluginManager.add('facebooktiny', tinymce.plugins.FacebookTinyKanorika);
	
})();