(function() {

	tinymce.create('tinymce.plugins.FacebookVideoTinyKanorika', {
		init : function(ed) {

            //register command            
			ed.addCommand('facebookVideoTinyK', function() {

				ed.windowManager.open({
                    title: "Insert Video Facebook",
                    url: siteurl + 'facebookvideo-tiny',
                    width: 300,
                    height: 100,
					inline : 1,
                    buttons: [{
                        text: 'Close',
                        onclick: 'close'
                    }],
				});
			});
            
            //register button
			ed.addButton('facebookvideotiny', {
				title : 'Insert Video Facebook',
				image : siteurl + 'themes/' + sitetheme + '/imgs/ico-videofacebook-tiny.png',
                cmd : 'facebookVideoTinyK',
			});            
            
		},
		
		getInfo : function() {
			return {
				longname : 'FacebookVideoTiny',
				author : 'Kanorika Team',
				authorurl : 'http://www.kanorika.com/',
				infourl : 'http://www.kanorika.com/',
				version : '1.0'
			};
		}

	});
	
    //register plugin
	tinymce.PluginManager.add('facebookvideotiny', tinymce.plugins.FacebookVideoTinyKanorika);
	
})();