(function() {

	tinymce.create('tinymce.plugins.InstagramTinyKanorika', {
		init : function(ed) {

            //register command            
			ed.addCommand('instagramTinyK', function() {

				ed.windowManager.open({
                    title: "Insert Photo Instagram",
                    url: siteurl + 'instagram-tiny',
                    width: 300,
                    height: 100,
					inline : 1,
                    buttons: [{
                        text: 'Close',
                        onclick: 'close'
                    }],
				});
			});
            
            //register button
			ed.addButton('instagramtiny', {
				title : 'Insert Photo Instagram',
				image : siteurl + 'themes/' + sitetheme + '/imgs/ico-instagram-tiny.png',
                cmd : 'instagramTinyK',
			});            
            
		},
		
		getInfo : function() {
			return {
				longname : 'InstagramTiny',
				author : 'Kanorika Team',
				authorurl : 'http://www.kanorika.com/',
				infourl : 'http://www.kanorika.com/',
				version : '1.0'
			};
		}

	});
	
    //register plugin
	tinymce.PluginManager.add('instagramtiny', tinymce.plugins.InstagramTinyKanorika);
	
})();