(function() {

	tinymce.create('tinymce.plugins.TwitterTinyKanorika', {
		init : function(ed) {

            //register command            
			ed.addCommand('twitterTinyK', function() {

				ed.windowManager.open({
                    title: "Insert Tweet",
                    url: siteurl + 'tweet-tiny',
                    width: 300,
                    height: 90,
					inline : 1,
                    buttons: [{
                        text: 'Close',
                        onclick: 'close'
                    }],
				});
			});
            
            //register button
			ed.addButton('twittertiny', {
				title : 'Insert Tweet',
				image : siteurl + 'themes/' + sitetheme + '/imgs/ico-twitter-tiny.png',
                cmd : 'twitterTinyK',
			});            
            
		},
		
		getInfo : function() {
			return {
				longname : 'TwitterTiny',
				author : 'Kanorika Team',
				authorurl : 'http://www.kanorika.com/',
				infourl : 'http://www.kanorika.com/',
				version : '1.0'
			};
		}

	});
	
    //register plugin
	tinymce.PluginManager.add('twittertiny', tinymce.plugins.TwitterTinyKanorika);
	
})();