(function() {

	tinymce.create('tinymce.plugins.uploadTinyKanorika', {
		init : function(ed) {

            //register command            
			ed.addCommand('uploadTinyK', function() {

				ed.windowManager.open({
                    title: "Upload Image",
                    url: siteurl + 'upload-tiny',
                    width: 300,
                    height: 70,
					inline : 1,
                    buttons: [{
                        text: 'Close',
                        onclick: 'close'
                    }],
                    

				});
                
                
			});
            
            //register button
			ed.addButton('uploadtiny', {
				title : 'Upload Image',
				image : siteurl + 'themes/' + sitetheme + '/imgs/ico-upload-img.png',
                cmd : 'uploadTinyK',
			});            
            
		},
		
		getInfo : function() {
			return {
				longname : 'uploadTiny',
				author : 'Kanorika Team',
				authorurl : 'http://www.kanorika.com/',
				infourl : 'http://www.kanorika.com/',
				version : '1.0'
			};
		}

	});
	
    //register plugin
	tinymce.PluginManager.add('uploadtiny', tinymce.plugins.uploadTinyKanorika);
	
})();