<?php
class network
{
    public function __construct()
    {
        $this->C	= new stdClass;
        $this->db1		= & $GLOBALS['db1'];
        $this->db2		= & $GLOBALS['db2'];
    }

    public function load()
    {
        $this->load_network_settings();
    }

    public function load_network_settings()
    {
        $db	= &$this->db1;
        $r	= $db->query('SELECT * FROM settings', FALSE);
        while($obj = $db->fetch_object($r)) {
            $this->C->{$obj->word}	= stripslashes($obj->value);
        }
        
        global $C;
        foreach($this->C as $k=>$v) {
            $C->$k	= & $this->C->$k;
        }
        
        if( !isset($C->SITE_TITLE) || empty($C->SITE_TITLE) ) {
            $C->SITE_TITLE	= 'Babbel';
        }
        $C->OUTSIDE_SITE_TITLE	= $C->SITE_TITLE;
    }

    public function get_user_by_username($uname, $force_refresh=FALSE, $return_id=FALSE)
    {
        if( empty($uname) ) {
            return FALSE;
        }

        $uid	= FALSE;
        $r	= $this->db2->query('SELECT iduser FROM users WHERE username="'.$this->db2->e($uname).'" LIMIT 1', FALSE);
        if( $o = $this->db2->fetch_object($r) ) {
            $uid	= intval($o->iduser);
            return $return_id ? $uid : $this->get_user_by_id($uid);
        }
        return FALSE;
    }

    public function get_user_by_id($uid, $force_refresh=FALSE)
    {
        $uid = intval($uid);
        if( 0 == $uid ) {
            return FALSE;
        }

        $r	= $this->db2->query('SELECT * FROM users WHERE iduser="'.$uid.'" LIMIT 1', FALSE);
        if ($o = $this->db2->fetch_object($r)) {
            $o->active		= intval($o->active);
            $o->firstname	= stripslashes($o->firstname);
            $o->lastname	= stripslashes($o->lastname);
            $o->aboutme	= stripslashes($o->aboutme);
            $o->codecountry	= stripslashes($o->codecountry);
            $o->city	= stripslashes($o->city);
            $o->idregion	= intval($o->idregion);
            $o->user_details	= FALSE;
            return $o;
        }

        return FALSE;
    }

    public function get_ads($code)
    {
        return $this->db2->fetch_field('SELECT adsource FROM ads WHERE code="'.$code.'" LIMIT 1');
    }

    public function verifiedArticle($code)
    {
        $code = $this->db2->e($code);
        if (strlen($code) != 11) return FALSE;
        return $this->db2->fetch("SELECT * FROM posts WHERE code='".$code."' AND typepost='e_article' LIMIT 1");
    }

    public function verifiedOwnerArticle($code, $idu)
    {
        $code = $this->db2->e($code);
        if (strlen($code) != 11) return FALSE;
        $idu = intval($idu);
        if (0 == $idu) return FALSE;
        return $this->db2->fetch("SELECT * FROM posts WHERE code='".$code."' AND iduser=".$idu." AND typepost='e_article' LIMIT 1");
    }
    
    public function countViewArticle($code)
    {
        $theMarkArticle = "babb_".$code;
        $theValueMark = $code;
        if (!isset($_COOKIE[$theMarkArticle])) {
            $this->db2->query("UPDATE posts SET numviews=numviews+1 WHERE code='".$code."' LIMIT 1");
            setcookie($theMarkArticle, $theValueMark, time() + 3600 * 3, '/'); //duration cookie 3 hours
        }
    }

    public function existArticle($code)
    {
        $code = $this->db2->e($code);
        if (strlen($code) != 11) return FALSE;
        return $this->db2->fetch_field("SELECT idpost FROM posts WHERE code='".$code."' AND typepost='e_article' LIMIT 1");
    }

    public function getInfoArticle($idarticle)
    {
        $idarticle = intval($idarticle);
        if (0 == $idarticle) return FALSE;
        return $this->db2->fetch("SELECT idcategory, seo_url FROM posts WHERE idpost=".$idarticle." AND typepost='e_article' LIMIT 1");
    }
    
    public function putInSearch($iditem)
    {
        $iditem = intval($iditem);
        if ($iditem == 0) return FALSE;

        $numpost = $this->db2->fetch_field('SELECT count(id) FROM searchs WHERE iditem='.$iditem);

        if ($numpost == 0) $this->db2->query('INSERT INTO searchs SET numsearch=1, iditem='.$iditem);
        else $this->db2->query('UPDATE searchs SET numsearch=numsearch+1 WHERE iditem='.$iditem);
    }

    // Check if $uid1 is a follower of $uid2
    public function verifies_follower($uid1, $uid2)
    {
        $uid1 = intval($uid1);
        if( 0 == $uid1 ) {
            return FALSE;
        }

        $uid2 = intval($uid2);
        if( 0 == $uid2 ) {
            return FALSE;
        }

        return $this->db2->fetch_field('SELECT idrelation FROM relations WHERE leader='.$uid2.' AND subscriber='.$uid1);
    }

    public function isUserVerified($uid)
    {
        $uid = intval($uid);
        if( 0 == $uid ) {
            return FALSE;
        }

        $r	= $this->db2->query('SELECT verified FROM users WHERE iduser="'.$uid.'" LIMIT 1', FALSE);
        if ($o = $this->db2->fetch_object($r)) {
            if ($o->verified==1) return TRUE;
        }
        return FALSE;
    }

    public function getUserAleat($total, $exclude=0, $privacy=-1)
    {
        if ($privacy==-1) $r = $this->db2->fetch_all('SELECT * FROM users WHERE active=1 AND iduser<>'.$exclude.' ORDER BY RAND() LIMIT '.$total);
        else $r = $this->db2->fetch_all('SELECT * FROM users WHERE active=1 AND privacy='.$privacy.' AND iduser<>'.$exclude.' ORDER BY RAND() LIMIT '.$total);
        return $r;
    }

    public function getPostsUser($iduser)
    {
        $r = $this->db2->fetch_all('SELECT idpost, code FROM posts WHERE iduser='.$iduser);
        return $r;
    }

    public function getCodePost($idp)
    {
        $idp = intval($idp);
        if( 0 == $idp ) return FALSE;
        return $this->db2->fetch_field('SELECT code FROM posts WHERE idpost='.$idp.' LIMIT 1');
    }

    
    public function verifiedPost($code, $idu)
    {
        $code = $this->db2->e($code);
        if (strlen($code) != 11) return FALSE;
        $idu = intval($idu);
        if( 0 == $idu ) return FALSE;
        return $this->db2->fetch_field('SELECT idpost FROM posts WHERE code="'.$code.'" AND iduser='.$idu.' LIMIT 1');
    }

    public function getNumNotifications($idu)
    {
        $idu = intval($idu);
        if( 0 == $idu ) return FALSE;
        return $this->db2->fetch_field('SELECT num_notifications FROM users WHERE iduser='.$idu.' LIMIT 1');
    }

    public function getTrendsTopic($quantity=10)
    {
        global $C;
        $timenow = time();
        $timeoneday = time() - 86400000 * $C->NUM_DAYS_TRENDS;
        $r = $this->db2->fetch_all("SELECT COUNT( DISTINCT iduser ) total, trend FROM trends WHERE whendate < '".$timenow."' AND whendate > '".$timeoneday."' && trend <> '' GROUP BY trend ORDER BY total DESC LIMIT ".$quantity);
        return $r;			
    }	
        
    public function idOwnerPost($idpost)
    {
        $idp = intval($idpost);
        if( 0 == $idp ) return FALSE;
        return $this->db2->fetch_field('SELECT iduser FROM posts WHERE idpost='.$idp.' LIMIT 1');
    }

    public function processTag($thetag)
    {
        $thetag = strtolower(trim($thetag));
        $tags_return = '';
        if (!empty($thetag)) {
            $tags_array = explode(',', $thetag);
            foreach ($tags_array as $onetag) {
                $ttag = trim(strtolower($onetag));
                $ttag = str_replace('|', '', $ttag);
                if (!empty($ttag)) {
                    $numtags = $this->db2->fetch_field("SELECT count(idtag) FROM tags WHERE tag='".$ttag."' LIMIT 1");
                    if ($numtags == 0) $this->db2->query("INSERT INTO tags SET tag='".$ttag."'");
                    $tags_return = $tags_return . '|' . $ttag . '|'; 
                }
            }
        }
        return $tags_return;
    }

}
?>