<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/

/*******************
 * @version: 1.4   *
*******************/

/** Configuration file. **/

    $C = new stdClass;
    
    $C->INCPATH = dirname(__FILE__).'/';
    chdir( $C->INCPATH );
    
    $C->SITE_URL = 'http://www.kanorika.com/babbel/demo/';
    $C->DOMAIN = 'http://www.kanorika.com/babbel/demo';
    
    // MySQL SETTINGS
    $C->DB_HOST = 'localhost';
    $C->DB_USER = 'root';
    $C->DB_PASS = '';
    $C->DB_NAME = 'babbel0';
    $C->DB_MYEXT = 'mysqli'; // 'mysqli' or 'mysql'
    
    
    // Folder of user data
    $C->FOLDER_DATA = "data/";
    
    // Temporary folder
    $C->FOLDER_TMP = "data/tmp/";
    
    // Avatars folder users
    $C->FOLDER_AVATAR = "data/avatars/"; 
    
    $C->AVATAR_DEFAULT = 'default.png';
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    // Sizes for the avatar
    $C->widthAvatar0 = 180;
    $C->widthAvatar1 = 100;
    $C->heightAvatar1 = 100;
    $C->widthAvatar2 = 50;
    $C->heightAvatar2 = 50;
    $C->widthAvatar3 = 26;
    $C->heightAvatar3 = 26;
    $C->widthAvatar4 = 180;
    $C->heightAvatar4 = 180;
    
    $C->SIZE_IMAGEN_AVATAR = 2 * 1024 * 1024; // 2 MB;
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    // photos folder users
    $C->FOLDER_PHOTOS = "data/photos/";
    
    $C->SIZE_PHOTO = 5 * 1024 * 1024; // 5 MB;
    
    // Sizes for the photos
    $C->widthPhotoThumbail = 230;
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    // Covers folder users
    $C->FOLDER_COVERS = "data/covers/";
     
    // Sizes for the avatar
    $C->widthCover1 = 846;
    $C->heightCover1 = 300;
    $C->widthCover2 = 660;
    $C->heightCover2 = 234;
    $C->widthCover3 = 350;
    $C->heightCover3 = 124;
    
    $C->SIZE_IMAGEN_COVER = 5 * 1024 * 1024; // 5 MB;
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    // Articles folder
    $C->FOLDER_ARTICLES = "data/articles/";
    
    $C->widthOriginalArticle1 = 600;
    $C->widthThumbnailArticle1 = 95;
    $C->heightThumbnailArticle1 = 70;
    $C->widthThumbnailArticle2 = 350;
    $C->heightThumbnailArticle2 = 258;
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    $C->LOGIN_WITH_FACEBOOK = TRUE;
    $C->FB_APPID = '110011001100110';
    $C->FB_SECRET = 'aabbaabbaabbaabbaabbaabbaabbaabb';
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    $C->LOGIN_WITH_TWITTER = TRUE;
    $C->TW_APPID = '11122211122233344444455566';
    $C->TW_SECRET = 'rr44tt55hhyy6677hhuujjiiggttrr5544eerr4433ee445566';
    $C->DOMAIN_EMAIL_TW = 'kanorika.com'; //usually your domain
    
    /*-----------------------------*/
    /*-----------------------------*/
    
    // Settings for Mail
    $C->FromName = 'Babbel';
    $C->From = 'no-reply@kanorika.com';
    $C->Host = 'mail.kanorika.com';
    $C->Port = '587';
    $C->UsernameMail = 'no-reply@kanorika.com';
    $C->PasswordMail = 'yourpasswordemail';
    
    /*-----------------------------*/
    /*-----------------------------*/

    /*-----------------------------*/
    /*- For version 1.2 --*/

    // Articles store
    $C->FOLDER_IMGS_ARTICLES = "data/articles/store/";

    /*- End for version 1.2 --*/
    /*-----------------------------*/
?>