<?php 
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('inside/admin.php');

	// We are here only if you're logged in
	if (!$this->user->is_logged || !$this->user->info->is_network_admin) {
		echo('0: '.$this->lang('admin_no_session'));
		die();
	}
	
	$errored = 0;
	$txterror = '';
	
	$action=0;
	
	if (isset($_POST["todo"]) && $_POST["todo"] != '') $action = $this->db1->e($_POST["todo"]);
	if (!is_numeric($action)) {
		$errored = 1;
		$txterror .= 'Error. ';
		echo('0: '.$caderror);
		die();
	}

	// Create a category
	if ($action == 1)	{

		$ncategory = '';

		if (isset($_POST["ncat"]) && !empty($_POST["ncat"])) $ncategory = $this->db1->e(htmlspecialchars(trim($_POST["ncat"])));
		
		if (empty($ncategory)) { $errored = 1; $txterror .= 'Error... '; }		
	}

	// Update a category
	if ($action == 2)	{

		$idcat = -1; 
		$ncategory = '';
		
		if (isset($_POST["idc"])) $idcat = $this->db1->e(trim($_POST["idc"]));
		if (isset($_POST["ncat"]) && !empty($_POST["ncat"])) $ncategory = $this->db1->e(htmlspecialchars(trim($_POST["ncat"])));

		if ($idcat == -1) { $errored = 1; $txterror .= 'Error... '; }		
		if (empty($ncategory)) { $errored = 1; $txterror .= 'Error... '; }
		
	}
	
	// Delete a category
	if ($action == 3)	{

		$idcat = -1; 
		
		if (isset($_POST["idc"])) $idcat = $this->db1->e(trim($_POST["idc"]));

		if ($idcat == -1) { $errored = 1; $txterror .= 'Error... '; }
		
	}

	
	if ($errored == 1) {
		echo('0: '.$txterror);
	} else {

		if ($action == 1) {
            $the_code = uniqueCode(11, 1, 'categories', 'code');

            $seo_url_cat = sanitizeString($ncategory);
            
            $seo_url_cat = getSeoURL('categories', 'seo_url_cat', 'idcategory', $seo_url_cat, 0);
            
			$this->db1->query("INSERT INTO categories SET code='".$the_code."', name='".$ncategory."', seo_url_cat='".$seo_url_cat."'");
			$txtreturn = $this->lang('admin_txt_msgok');
			echo('1: '.$txtreturn);
			return;
		}
		
		if ($action == 2) {
            $seo_url_cat = sanitizeString($ncategory);
            
            $seo_url_cat = getSeoURL('categories', 'seo_url_cat', 'idcategory', $seo_url_cat, 0);

			$this->db1->query("UPDATE categories SET name='".$ncategory."', seo_url_cat='".$seo_url_cat."' WHERE idcategory=".$idcat." LIMIT 1");
			$txtreturn = $this->lang('admin_txt_msgok');
			echo('1: '.$txtreturn);
			return;
		}
		
		if ($action == 3) {

            $numarticles = $this->db1->fetch_field("SELECT count(idpost) FROM posts WHERE idcategory=".$idcat);
            if ($numarticles == 0) {
                $this->db1->query("DELETE FROM categories WHERE idcategory=".$idcat." LIMIT 1");
                echo('1: Ok');
                return;					
            } else {
                $txtreturn = $this->lang('admin_categories_txt_nodelete');
                echo('0: '.$txtreturn);
                return;
            }

		}
	
	}
?>