<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('global/global.php');
	$this->load_langfile('outside/profile.php');
	
	$errored = 0;
	$txterror = '';

	$space_suggestion = 0;
	$codearticle = '';
	
	if (isset($_POST["ss"]) && !empty($_POST["ss"])) $space_suggestion = $this->db1->e($_POST["ss"]);
	if (isset($_POST["ca"]) && !empty($_POST["ca"])) $codearticle = $this->db1->e($_POST["ca"]);
	
	if (!is_numeric($space_suggestion) || $space_suggestion <= 0) { $errored = 1; $txterror .= 'Error... '; }
	if (empty($codearticle) || strlen($codearticle) != 11) { $errored = 1; $txterror .= 'Error... '; }
	
	if ($errored == 1) {
		echo('0: '.$txterror);
	} else {
        $D->max_suggestion = 20;
        $D->height_suggestion = 238;
        $num_suggestions = floor($space_suggestion / $D->height_suggestion);
        
        if ($num_suggestions > 0) {
        
            if ($num_suggestions > $D->max_suggestion) $num_suggestions = $D->max_suggestion;
    
            //all categories in an array
            $D->allCategories = $this->db2->fetch_all('SELECT idcategory, name, seo_url_cat FROM categories ORDER BY name ASC');
    
            $r = $this->db2->query("SELECT * FROM posts WHERE typepost='e_article' AND code<>'".$codearticle."' ORDER BY RAND() LIMIT ".$num_suggestions);
            
            $htmlResults = '<div id="title_suggestions">'.$this->lang("global_txt_suggested_articles").'</div>';
            
            while ($obj = $this->db2->fetch_object($r)) {
                
                $D->oneArticle = $obj;
        
                $D->oneArticle->post = stripslashes($obj->post);
                
                $D->seo_url_cat = getSeoURLCat($obj->idcategory, $D->allCategories);
        
                $htmlResults .= $this->load_template('__one_suggestion.php', FALSE);
                
            }
            unset($obj, $r);
            
            echo("1: ".$htmlResults);
            return;	

        } else {

            echo("1:  ");
            return;	
            
        }

	}
?>