<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('global/global.php');
	$this->load_langfile('inside/dashboard.php');
	
	$errored = 0;
	$txterror = '';

	$numitems = $iduser = 0;
	
	if (isset($_POST["ni"]) && !empty($_POST["ni"])) $numitems = $this->db1->e($_POST["ni"]);
	if (isset($_POST["idu"]) && !empty($_POST["idu"])) $iduser = $this->db1->e($_POST["idu"]);
	
	if (!is_numeric($numitems) || $numitems <= 0) { $errored = 1; $txterror .= 'Error... '; }
	if (!is_numeric($iduser) || $iduser <= 0) { $errored = 1; $txterror .= 'Error... '; }
	
	if ($errored == 1) {
		echo('0: '.$txterror);
	} else {
        //all categories in an array
        $D->allCategories = $this->db2->fetch_all('SELECT idcategory, name, seo_url_cat FROM categories ORDER BY name ASC');
        
        $totalitems = $this->db2->fetch_field("SELECT count(idpost) FROM posts WHERE typepost='e_article' AND iduser=".$this->user->id);
        
        $r = $this->db2->query("SELECT * FROM posts WHERE typepost='e_article' AND posts.iduser=".$this->user->id." ORDER BY whendate DESC LIMIT ".$numitems.",".$C->NUM_ACTIVITIES_PAGE);
    
        $numitemsnow = $this->db2->num_rows();
        
        $htmlResults = '';
        
        while ($obj = $this->db2->fetch_object($r)) {
            
            $D->oneArticle = $obj;
    
            $D->oneArticle->post = stripslashes($obj->post);
            
            $D->seo_url_cat = getSeoURLCat($obj->idcategory, $D->allCategories);
    
            $htmlResults .= $this->load_template('__dashboard-one-article.php', FALSE);
            
        }
        unset($obj, $r);
        
		if ($totalitems <= $numitemsnow + $numitems) {
			echo("2: ".$htmlResults);
			return;
		} else {
			echo("1: ".$htmlResults);
			return;	
		}
			
	}
?>