<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// Obtain user data profile
	$D->u = $this->network->get_user_by_id(intval($this->params->iduser));
	if( !$D->u ) {
		$this->redirect('dashboard');
	}
	
	/*------------------------------------------------------------------------*/
	// needed before proceeding
	require_once('_all-required-language.php');
	
	/*------------------------------------------------------------------------*/

	$this->load_langfile('global/global.php');	
	$this->load_langfile('outside/profile.php');

	/*------------------------------------------------------------------------*/

	// needed before proceeding
	require_once('_all-required-profile.php');
	
	/*------------------------------------------------------------------------*/

	// If allowed, it loaded data required for this section
	if ($D->show_profile==1) {

		$D->totalactivities = $this->db2->fetch_field("SELECT count(idpost) FROM posts WHERE typepost='e_article' AND iduser=".$D->u->iduser);

		$theactivities = $this->db2->fetch_all("SELECT * FROM posts WHERE typepost='e_article' AND posts.iduser=".$D->u->iduser." ORDER BY whendate DESC LIMIT 0,".$C->NUM_ACTIVITIES_PAGE);

		$D->numactivities = count($theactivities);
		
		$D->htmlResult = '';
		
		foreach($theactivities as $theactivity) {
			
            $D->oneArticle = $theactivity;
            
            $D->seo_url_cat = getSeoURLCat($theactivity->idcategory, $D->allCategories);
            
            $D->oneArticle->post = stripslashes($D->oneArticle->post);
            
            $D->htmlResult .= $this->load_template('__profile-one-article.php', FALSE);

		}
        unset($theactivities, $theactivity);

	}

	/*------------------------------------------------------------------------*/

    $D->ogIMG = $C->SITE_URL.$C->FOLDER_AVATAR.'min4/'.(!empty($D->u->avatar) ? $D->u->avatar : $C->AVATAR_DEFAULT);
    $D->ogURL = $C->SITE_URL.$D->u->username.'/articles';
    
	/*------------------------------------------------------------------------*/

	$D->page_title = $D->nameUser.' - '.$this->lang('profile_articles_title').' - '.$C->SITE_TITLE;

	$this->load_template('articles-profile.php');
?>