<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// Obtain user data profile
	$D->u = $this->network->get_user_by_id(intval($this->params->iduser));
	if( !$D->u ) {
		$this->redirect('dashboard');
	}
	
	/*------------------------------------------------------------------------*/
	// needed before proceeding
	require_once('_all-required-language.php');
	
	/*------------------------------------------------------------------------*/

	$this->load_langfile('global/global.php');	
	$this->load_langfile('outside/profile.php');

	/*------------------------------------------------------------------------*/

	// needed before proceeding
	require_once('_all-required-profile.php');
	
	/*------------------------------------------------------------------------*/

    $D->htmlResult = '';
    
	// If allowed, it loaded data required for this section
	if ($D->show_profile==1) {
		
        $D->nameUser = (empty($D->u->firstname) || empty($D->u->lastname))?$D->u->username:($D->u->firstname.' '.$D->u->lastname);		

        $D->htmlResult .= $this->load_template('__profile-info-register.php', FALSE);

	}

	/*------------------------------------------------------------------------*/

    $D->ogIMG = $C->SITE_URL.$C->FOLDER_AVATAR.'min4/'.(!empty($D->u->avatar) ? $D->u->avatar : $C->AVATAR_DEFAULT);
    $D->ogURL = $C->SITE_URL.$D->u->username;
    
	/*------------------------------------------------------------------------*/

	$D->page_title = $D->nameUser.' - '.$this->lang('profile_activities_title').' - '.$C->SITE_TITLE;
	
	$D->optionactive = 1;	
	$this->load_template('profile.php');
?>