<?php
/*
********************************************************
* @author Santos Montano B. (Lito Santos M.)
* @author_url 1: http://www.kanorika.com
* @author_url 2: http://codecanyon.net/user/kanorika
* @author_email: info@kanorika.com   
********************************************************
* Babbel - Collective Intelligence
* Copyright (c) 2018 Kanorika. All rights reserved.
********************************************************
*/
	// We check in which language we will work
	if (isset($_SESSION["DATAGLOBAL"][0]) && !empty($_SESSION["DATAGLOBAL"][0])) $C->LANGUAGE = $_SESSION["DATAGLOBAL"][0];

	$this->load_langfile('global/global.php');
	$this->load_langfile('inside/dashboard.php');
	
	// We are here only if you're logged in
	if (!$this->user->is_logged) {
		echo('0: '.$this->lang('dashboard_no_session'));
		die();
	}

	//capture the folder where the image will be uploaded
	if ($this->param('fold')) $folder = str_replace('-','/',$this->db1->e($this->param('fold')));
	
	// define the folder to upload
	$root = '../';
	$uploaddir = $root.$folder;
	
	$errors = 0;
	$txterror = '';
	
	$prefj = '';
	
	if ($this->param('prefj')) $prefj = $this->db1->e($this->param('prefj'));
	if ($this->param('hf')) $handlerfile = $this->db1->e($this->param('hf'));
	
	if ($prefj == '') {
		$errors = 1;
		$txterror .= 'Error... ';
	}
	
	if ($errors == 1) {
		echo("0: ".$txterror);
		return;
	} else {
					
		$namefile = $this->user->id.$prefj;
		
		$uploadfile = $uploaddir . basename($namefile);
		
		$sizefile = $_FILES[$handlerfile]['size'];
		$typefile = $_FILES[$handlerfile]['type'];
		$errorx = 0;
		
		$path_info = pathinfo($_FILES[$handlerfile]['name']);
		$ext = $path_info['extension'];
		$ext_allowed = array('xls','xlsx','doc','docx','pdf','ppt','pptx','zip','png','jpg','gif');
		if (in_array(strtolower($ext),$ext_allowed)) {
			$uploadfile.='.'.$ext;
			$namefile.='.'.$ext;
			
			if ($sizefile < $C->SIZE_PHOTO) {
				 if (move_uploaded_file($_FILES[$handlerfile]['tmp_name'], $uploadfile)) {
					echo('1: '.$namefile);
					return;
				 } else {
					echo('0: '.$this->lang('dashboard_addarticle_error_failed'));
					return;
				 }
			} else {
				echo('0: '.$this->lang('dashboard_addarticle_error_big'));
				return;
			} 
		} else { 
			echo('0: '.$this->lang('dashboard_addarticle_error_wrong'));
			return;
		}

		echo("1: Ok");
		return;

	}
?>