<?php
    $lang = array(
        'admin_menu_title' => 'Options',
        
        'admin_menu_general' => 'General Settings',
        'admin_menu_users' => 'Manage Users',
        'admin_menu_categories' => 'Categories',
        'admin_menu_articles' => 'Articles',
        'admin_menu_censored' => 'Censored',
        'admin_menu_ads' => 'Manage Ads',
        'admin_menu_themes' => 'Themes',
        'admin_menu_languages' => 'Languages',
        'admin_menu_pages' => 'Pages',
        
        'admin_no_request' => 'Can not complete the request.',
        
        'admin_general_title' => 'General Settings',
        'admin_general_subtitle1' => 'General',
        'admin_general_txt_title' => 'Site Title:',
        'admin_general_txt_site_description' => 'Site Description (SEO):',
        'admin_general_txt_site_keywords' => 'Site Keywords (SEO):',
        'admin_general_txt_site_company' => 'Company:',
        'admin_general_txt_languages' => 'Show languages:',
        'admin_general_txt_languages_opc01' => 'Yes, show languages',
        'admin_general_txt_languages_opc02' => 'No, not show languages',
        'admin_general_txt_pages' => 'Show information pages:',
        'admin_general_txt_pages_opc01' => 'Yes, show information pages',
        'admin_general_txt_pages_opc02' => 'No, no show information pages',
        'admin_general_txt_error1' => 'Enter a title for your site',
        'admin_general_txt_error2' => 'Enter a description for the site',
        'admin_general_txt_error3' => 'Enter the keywords for the site',
        'admin_general_txt_error4' => 'Enter the name of your company',
    
        'admin_general_subtitle2' => 'User Notifications',
        'admin_general_ntf_events' => 'Num. Notifications Events:',
        'admin_general_ntf_interval_events' => 'Interval for checking new events:',
        'admin_general_ntf_msgs' => 'Num. Notifications Messages:',
        'admin_general_ntf_interval_msgs' => 'Interval to check new messages:',
    
        'admin_general_ntf_txt' => 'notifications',
        'admin_general_ntf_txt_second' => 'second',
        'admin_general_ntf_txt_seconds' => 'seconds',
        'admin_general_ntf_txt_minute' => 'minute',
        'admin_general_ntf_txt_minutes' => 'minutes',
        
        'admin_general_subtitle3' => 'User Chats',
        'admin_general_chat_refresh' => 'Interval refresh chat:',
        'admin_general_chat_txt_second' => 'second',
        'admin_general_chat_txt_seconds' => 'seconds',
        'admin_general_chat_nummsgchat' => 'Number of messages to start:',
        'admin_general_chat_emoticons' => 'Emoticons:',
        'admin_general_chat_emoticons_opc01' => 'With Emoticons',
        'admin_general_chat_emoticons_opc02' => 'Without Emoticons',
        
        'admin_general_subtitle4' => 'Show Items',
        'admin_general_items_followers' => 'Followers:',
        'admin_general_items_following' => 'Following:',
        'admin_general_items_notifications' => 'Notifications List:',
        'admin_general_items_messages' => 'Messages List:',
        'admin_general_items_activities' => 'Activities:',
        'admin_general_items_comments' => 'Comments:',
        'admin_general_items_favorites' => 'Likes:',
        'admin_general_items_search' => 'Search Result:',
        'admin_general_items_txtpage' => 'page',
        
        'admin_ads_title' => 'Manage Ads',
        'admin_ads_subtitle1' => 'Advertising in Profiles',
        'admin_ads_profile1' => 'Advertising 1 in Profile',
        'admin_ads_profile2' => 'Advertising 2 in Profile',
        
        'admin_ads_subtitle2' => 'Advertising in Dashboard',
        'admin_ads_dashboard1' => 'Advertising 1 in Dashboard',
        'admin_ads_dashboard2' => 'Advertising 2 in Dashboard',
    
        'admin_txt_bsave' => 'Save Changes',
        'admin_txt_msgok' => 'Changes has been saved.',
        'admin_no_session' => 'Close his session and enter again.',
        
        'admin_manageuser_title' => 'User Manager',
        'admin_manageuser_subtitle1' => 'User List',
        'admin_manageuser_txt1' => 'Registered users in the application:',
        'admin_manageuser_subtitle2' => 'User Details',
        'admin_manageuser_linkback' => 'Back',
        'admin_manageuser_avatar' => 'Avatar',
        'admin_manageuser_firstname' => 'First Name',
        'admin_manageuser_lastname' => 'Last Name',
        'admin_manageuser_username' => 'Username',
        'admin_manageuser_subtitle3' => 'Status',
        'admin_manageuser_txtuserstatus' => 'User Status',
        'admin_manageuser_active' => 'Active',
        'admin_manageuser_inactive' => 'Inactive',
        'admin_manageuser_subtitle4' => 'Administrator',
        'admin_manageuser_txtleveluser' => 'User Level',
        'admin_manageuser_isadministrator' => 'Yes, it is administrator',
        'admin_manageuser_notadministrator' => 'Not Administrator',
        'admin_manageuser_subtitle5' => 'Remove user',
        'admin_manageuser_txtdelete' => 'I want to remove the user',
        'admin_manageuser_txtalert' => 'You are going to remove a user',
        'admin_manageuser_bdelete' => 'Remove user',
        'admin_manageuser_txtadministrator' => 'Administrator',
        'admin_manageuser_txtvalidated' => 'Verify',
        'admin_manageuser_txtisvalidated' => 'Verified user',
        'admin_manageuser_txtisnotvalidated' => 'User not verified',
        'admin_manageuser_txtvalidated_msg' => 'Verification status',
        'admin_manageuser_txtloginwithfb' => 'Log in with Facebook',
        
        'admin_manageuser_txt_email' => 'Email',
        'admin_manageuser_txt_username' => 'Username',
        'admin_manageuser_txt_firstname' => 'First name',
        'admin_manageuser_txt_lastname' => 'Last name',
        'admin_manageuser_txt_error1' => 'Enter a valid email address.',
        'admin_manageuser_txt_error2' => 'Enter a valid username.',
        'admin_manageuser_txt_error3' => 'Username not available.',
        'admin_manageuser_txt_error4' => 'The Username is used by another user.',
        'admin_manageuser_txt_error5' => 'Email is used by another user.',
        'admin_manageuser_txt_error6' => 'You must enter a First Name.',
        'admin_manageuser_txt_error7' => 'You must enter a Last Name.',
    
        'admin_manageuser_pass_subtitle6' => 'Password',
        'admin_manageuser_pass_txt_newpass' => 'Enter new password',
        'admin_manageuser_pass_txt_reenternewpass' => 'Re-enter new password',
        'admin_manageuser_pass_txt_msg1' => 'You must enter a new password.',
        'admin_manageuser_pass_txt_msg2' => 'You have to repeat the new password.',
        'admin_manageuser_pass_txt_msg3' => 'The passwords do not match.',
        
        'admin_languages_title' => 'Languages',
        'admin_languages_subtitle1' => 'Main Language',
        'admin_languages_txt1' => 'Choose the principal language for the application:',
        
        'admin_theme_title' => 'Themes',
        'admin_theme_subtitle1' => 'Main Theme',
        'admin_theme_txt1' => 'Choose the principal theme for the application:',
        
        'admin_pages_title' => 'Pages',
        'admin_pages_subtitle1' => 'Page About',
        'admin_pages_subtitle2' => 'Page Privacy Policy',
        'admin_pages_subtitle3' => 'Page Terms of Use',
        'admin_pages_subtitle4' => 'Page Disclaimer',
        'admin_pages_subtitle5' => 'Page Contact',
        'admin_pages_textenter' => 'Enter text:',
        'admin_pages_txterror' => 'You have to enter text',
        
        'admin_posts_title' => 'Status',
        'admin_posts_subtitle1' => 'Images per status',
        'admin_posts_subtitle2' => 'Coments per message',
    
        'admin_ads_title' => 'Manage Ads',
        'admin_ads_subtitle1' => 'Advertising 1 (Width = 300px)',
        'admin_ads_subtitle2' => 'Advertising 2 (Width = 300px)',
        
        'admin_censored_title' => 'Censored Items',
        'admin_censored_empty' => 'No items found',
        'admin_censored_msg_list' => 'List items reported by users',
        'admin_censored_opc_ignore' => 'Ignore report',
        'admin_censored_opc_delete' => 'Delete article',
		'admin_censored_alert_ignore' => 'You are about to remove the reports of this article',
		'admin_censored_alert_delete' => 'You are about to remove an article',
        'admin_censored_error_action' => 'You can not perform the action you request.',
                
        'admin_categories_title' => 'Categories for Articles',
        'admin_categories_new_title' => 'New Category',
        'admin_categories_new_name' => 'Name of Category',
        'admin_categories_new_bsubmit' => 'Create Category',
        
		'admin_categories_error_namecategory' => 'Enter a name for the category.',

        'admin_categories_list_title' => 'List Categories',
        'admin_categories_list_nocategories' => 'No categories found.',
        'admin_categories_list_opc_edit' => 'Edit',
        'admin_categories_list_opc_delete' => 'Delete',
        'admin_categories_list_txt_category' => 'Category',
        'admin_categories_list_txt_update' => 'Update',
        'admin_categories_list_txt_cancel' => 'Cancel',
        
		'admin_categories_txt_alertdelete' => 'You are about to remove a category',
		'admin_categories_txt_nodelete' => 'This category has articles. You can not delete.',
        
        'admin_articles_title' => 'Articles',
        'admin_articles_empty' => 'No articles found',
        'admin_articles_msg_list' => 'List of articles created by users',
		'admin_articles_alert_delete' => 'You are about to remove an article',
        'admin_articles_error_action' => 'You can not perform the action you request.',

        /*--------------------------------------------------*/
        /*--- FOR V1.1 ---*/
        
        'admin_articles_opc_edit' => 'Edit',
        'admin_articles_opc_delete' => 'Delete',

        'admin_articles_edit_linkback' => 'Back',
        'admin_articles_edit_title' => 'Edit Article',

        'admin_general_home_title' => 'Homepage',
        'admin_general_home_featured' => 'Featured articles:',
        'admin_general_home_recents' => 'Recent articles:',
        'admin_general_home_recents_sidebar' => 'Recent articles sidebar:',
        'admin_general_home_featured_sidebar' => 'Featured articles sidebar:',
        'admin_general_home_comments_sidebar' => 'Recent Comments sidebar:',
        'admin_general_home_search_sidebar' => 'Most Search sidebar:',
        'admin_general_home_topuser_sidebar' => 'Top Users sidebar:',
        
        'admin_general_inarticle_title' => 'In Articles',
        'admin_general_inarticle_ncharstitle' => 'Number of characters in the title:',
        'admin_general_inarticle_allowcommrich' => 'Allow Comments enriched:',
        'admin_general_inarticle_allowcommrich_opc01' => 'Yes, allow comments enriched',
        'admin_general_inarticle_allowcommrich_opc02' => 'No, no allow comments enriched',

        'admin_general_badwords_title' => 'Bad words filters (separated by commas)',
        
        /*--- END V1.1 ---*/
        /*--------------------------------------------------*/

    );    
?>