
function topSearch() {
	if(typeof hideNotificationsMessages == 'function') {
		hideNotificationsMessages();
	}
	if(typeof hideNotifications == 'function') {
		hideNotifications();
	}
	
	var query = $('#topsearch').val();
    
	if (query.length < 2) {
        $("#search-container").hide();
        $("#contentSearch").remove();
        return false;
    } 

    $('#topsearch').keypress(function(x) {
        if (x.keyCode == 13) {
            query = $(this).val();
            if (query != this.defaultValue){
                document.location = siteurl + 'search/q:' + slug(query);
            }
        }
    });

	// If no letters remove the div not helpful
	if (query == '') {
		var milliseconds = 0;
	} else {
		contentSearch = '<div id="contentSearch"><div id="resultSearch"><div id="loadingSearch"><img src="' + siteurl + 'themes/' + sitetheme + '/imgs/loading.gif"></div></div></div>';
		$('#search-container').html(contentSearch);
		$('#search-container').show();
		var milliseconds = 250;
	}

	// It took us a few milliseconds so that more letters are entered to the consultation
	setTimeout(function() {
		if(query == $('#topsearch').val()) {
			if($.trim(query) == '') {
				$("#search-container").hide();
				$("#contentSearch").remove();
			} else {
				$.ajax({
					type: 'POST',
					url: siteurl + "ajax/searchtop-inside/r:" + Math.round(Math.random()*1000),
					data: 'q=' + query.replace('#',''),
					success: function(resp) {
						$("#search-container").html(resp).show();
                        $("abbr.timeago").timeago();
					},
					error: function(){
						alert('Error'); 
					} //end error
				}); // end ajax
			}
		}
	}, milliseconds);
}

/*--------------------------------------------------------------*/

function hideSearchTop() {
	$("#search-container").hide();
}
